Bug 949 - "smb stop" doesn't remove pid files on Fedora
"smb stop" doesn't remove pid files on Fedora
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
3.0.1
Other Linux
: P3 minor
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 18:28 UTC by Mark Nienberg
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Nienberg 2004-01-07 18:28:19 UTC
Using the Fedora rpms for 3.0.1 and 3.0.2pre1 

"smb start" uses the standard "daemon" function so "smbd.pid" and "nmbd.pid" 
files are written to the directory /var/run.

"smb stop" does not use the standard "killproc" to terminate smbd, so the pid 
file is not removed from /var/run.  This makes the "smb status" command give 
erroneous results as shown below.  I'm not sure why the pid file for nmbd isn't 
erased by killproc, but it isn't.

[root@pilsner root]# service smb status
smbd (pid 30746 30725) is running...
nmbd (pid 30729) is running...

[root@pilsner root]# service smb stop
Shutting down SMB services:              [  OK  ]

[root@pilsner root]# service smb status
smbd dead but pid file exists
nmbd dead but pid file exists
Comment 1 Gerald (Jerry) Carter 2004-01-16 08:52:47 UTC
fixed smb and winbind init scripts for 3.0.2rc1
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:18:16 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.